ONVIF::Device::Types::AttachmentData(3)

NAME
ONVIF::Device::Types::AttachmentData

DESCRIPTION
Perl data type class for the XML Schema defined complexType AttachmentData from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Include

    Note: The name of this property has been altered, because it didn't match perl's notion of variable/subroutine names. The altered name is used in perl code only, XML output uses the original name:

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Device::Types::AttachmentData
   Include =>  { # ONVIF::Device::Types::Include
   },
 },

  attr
NOTE: Attribute documentation is experimental, and may be inaccurate. See the correspondent WSDL/XML Schema if in question.

This class has additional attributes, accessibly via the "attr()" method.

attr() returns an object of the class ONVIF::Device::Types::AttachmentData::_AttachmentData::XmlAttr.

The following attributes can be accessed on this object via the corresponding get_/set_ methods:

•   contentType

AUTHOR
Generated by SOAP::WSDL